using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsEnergyConfigPercentWeek {
        //주별 에너지 사용량 예측 설정
        [Display(Name = "현장 고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "연도"), Key]
        public int Year { get; set; }
        [Display(Name = "주"), Key]
        public int Week { get; set; }
        [Display(Name = "예상 전력 사용량")]
        public double? Electricity { get; set; }
        [Display(Name = "예상 가스 사용량")]
        public double? Gas { get; set; }
        [Display(Name = "예상 수도 사용량")]
        public double? Water { get; set; }

        [ForeignKey("SiteId")]
        public virtual CmSite Site { get; set; }
    }
}
